Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class Int2IntMap

    java.lang.Object
      de.grogra.util.Int2IntMap

    public class Int2IntMap

extends java.lang.Object

Constructor Summary
`Int2IntMap()`
`Int2IntMap(int capacity)`
`Int2IntMap(int[] keys, int off, int len)`

Method Summary
`void` | `clear()`
`Int2IntMap` | `dup()`
`int` | `findIndex(int key)`
`int` | `get(int key)`
`int` | `getKeyAt(int index)`
`int[]` | `getKeys(int[] array)`
`int` | `getValueAt(int index)`
`int[]` | `getValues(int[] array)`
`int` | `put(int key, int value)`
`int` | `remove(int key)`
`void` | `setValueAt(int index, int value)`
`int` | `size()`
`int` | `synchronizedGet(int key)`
`int` | `synchronizedPut(int key, int value)`
`int` | `synchronizedRemove(int key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Int2IntMap

    public Int2IntMap()

### Int2IntMap

    public Int2IntMap(int capacity)

### Int2IntMap

    public Int2IntMap(int[] keys,
                      int off,
                      int len)

Method Detail

### clear

    public void clear()

### dup

    public Int2IntMap dup()

### findIndex

    public int findIndex(int key)

### get

    public final int get(int key)

### getKeyAt

    public int getKeyAt(int index)

### getKeys

    public int[] getKeys(int[] array)

### getValueAt

    public int getValueAt(int index)

### getValues

    public int[] getValues(int[] array)

### put

    public final int put(int key,
                         int value)

### remove

    public final int remove(int key)

### setValueAt

    public void setValueAt(int index,
                           int value)

### size

    public int size()

### synchronizedGet

    public final int synchronizedGet(int key)

### synchronizedPut

    public final int synchronizedPut(int key,
                                     int value)

### synchronizedRemove

    public final int synchronizedRemove(int key)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD